# Uses of Class
org.opensaml.core.xml.mock.SimpleXMLObject

Packages that use SimpleXMLObject
Package
Description
org.opensaml.core.xml.mock

## Uses of SimpleXMLObject in org.opensaml.core.xml.mock

Fields in org.opensaml.core.xml.mock with type parameters of type SimpleXMLObject
Modifier and Type
Field
Description
`private XMLObjectChildrenList<SimpleXMLObject>`
SimpleXMLObject.`simpleXMLObjects`
Child SimpleXMLObjects.
Methods in org.opensaml.core.xml.mock that return SimpleXMLObject
Modifier and Type
Method
Description
`SimpleXMLObject`
SimpleXMLObjectBuilder.`buildObject()`
Default builder method.
`SimpleXMLObject`
SimpleXMLObjectBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.core.xml.mock that return types with arguments of type SimpleXMLObject
Modifier and Type
Method
Description
`List<SimpleXMLObject>`
SimpleXMLObject.`getSimpleXMLObjects()`
Gets the list of child SimpleXMLObjects.